Package org.springframework.web.util

# Class InvalidUrlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.web.util.InvalidUrlException

All Implemented Interfaces:
  `Serializable`

public class InvalidUrlException extends IllegalArgumentException
Thrown when a URL string cannot be parsed.

Since:
  6.2
Author:
  Arjen Poutsma
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidUrlException(String msg)`
Construct a `InvalidUrlException` with the specified detail message.
`InvalidUrlException(String msg, Throwable cause)`
Construct a `InvalidUrlException` with the specified detail message and nested exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidUrlException

public InvalidUrlException(String msg)
Construct a `InvalidUrlException` with the specified detail message.

Parameters:
  `msg` - the detail message

### InvalidUrlException

public InvalidUrlException(String msg, Throwable cause)
Construct a `InvalidUrlException` with the specified detail message and nested exception.

Parameters:
  `msg` - the detail message
  `cause` - the nested exception